VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly Class Reference

`Snmp.SNMPConfigReadOnly` class Structure that defines the SNMP configuration, the result of get(), and never provided as input to set(). More...

List of all members.

## Public Member Functions
| SNMPConfigReadOnly ()
| Creates a default new instance.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto | GetAuthentication ()
| Set the default authentication protocol.
void | SetAuthentication (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto authentication)
| Set the default authentication protocol.
global::System.Collections.Generic.List < string > | GetCommunities ()
| Set up to ten communities, each of no more than 64 characters long.
void | SetCommunities (global::System.Collections.Generic.List< string > communities)
| Set up to ten communities, each of no more than 64 characters long.
bool | GetEnable ()
| Set enable to true/false.
void | SetEnable (bool enable)
| Set enable to true/false.
string | GetEngineid ()
| Set SNMPv3 engine ID.
void | SetEngineid (string engineid)
| Set SNMPv3 engine ID.
string | GetLoglevel ()
| System Agent syslog logging level: debug|info|warning|error.
void | SetLoglevel (string loglevel)
| System Agent syslog logging level: debug|info|warning|error.
global::System.Collections.Generic.List < string > | GetNotraps ()
| Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent.
void | SetNotraps (global::System.Collections.Generic.List< string > notraps)
| Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent.
long | GetPort ()
| Set up a UDP port which the SNMP agent uses to listen on for polling requests.
void | SetPort (long port)
| Set up a UDP port which the SNMP agent uses to listen on for polling requests.
vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto | GetPrivacy ()
| Set the default privacy protocol.
void | SetPrivacy (vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto privacy)
| Set the default privacy protocol.
string | GetSyscontact ()
| System contact string as presented in sysContact.0.
void | SetSyscontact (string syscontact)
| System contact string as presented in sysContact.0.
string | GetSyslocation ()
| System location string as presented in sysLocation.0.
void | SetSyslocation (string syslocation)
| System location string as presented in sysLocation.0.
global::System.Collections.Generic.List < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv1TrapTarget > | GetTargets ()
| Set up to three targets to which to send SNMPv1 traps.
void | SetTargets (global::System.Collections.Generic.List< vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv1TrapTarget > targets)
| Set up to three targets to which to send SNMPv1 traps.
global::System.Collections.Generic.List < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPUser > | GetUsers ()
| Set up to five local users.
void | SetUsers (global::System.Collections.Generic.List< vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPUser > users)
| Set up to five local users.
global::System.Collections.Generic.List < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPRemoteUser > | GetRemoteusers ()
| Set up remote users.
void | SetRemoteusers (global::System.Collections.Generic.List< vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPRemoteUser > remoteusers)
| Set up remote users.
global::System.Collections.Generic.List < vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Target > | GetV3targets ()
| Set up to three SNMPv3 notification targets.
void | SetV3targets (global::System.Collections.Generic.List< vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Target > v3targets)
| Set up to three SNMPv3 notification targets.
string | GetPid ()
| Set up pid.
void | SetPid (string pid)
| Set up pid.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Snmp.SNMPConfigReadOnly` class Structure that defines the SNMP configuration, the result of get(), and never provided as input to set().

This structure differs from SNMPConfig because it contains localized keys (as defined in http://tools.ietf.org/html/rfc3826#section-1.2), instead of raw secret strings. This structure can be used to configure SNMP v1, v2c, and v3. Keep this structure in sync with vmw_snmp.py:_default_config(). Note that if a field if left empty, it is considered unset and will be ignored. Existing array elements below can be unset by sending an element with the string 'reset'.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SNMPConfigReadOnly | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::Equals | ( | object | obj | ) | `[inline]`

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetAuthentication | ( |  | ) | `[inline]`

Set the default authentication protocol.

Values can be none, MD5, or SHA1.

global::System.Collections.Generic.List<string> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetCommunities | ( |  | ) | `[inline]`

Set up to ten communities, each of no more than 64 characters long.

The format is: community1[,community2,...]. This setting overwrites any previous settings.

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetEnable | ( |  | ) | `[inline]`

Set enable to true/false.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetEngineid | ( |  | ) | `[inline]`

Set SNMPv3 engine ID.

override int vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetLoglevel | ( |  | ) | `[inline]`

System Agent syslog logging level: debug|info|warning|error.

global::System.Collections.Generic.List<string> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetNotraps | ( |  | ) | `[inline]`

Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent.

Use 'reset' to clear the setting.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetPid | ( |  | ) | `[inline]`

Set up pid.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetPort | ( |  | ) | `[inline]`

Set up a UDP port which the SNMP agent uses to listen on for polling requests.

The default UDP port is 161.

vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetPrivacy | ( |  | ) | `[inline]`

Set the default privacy protocol.

global::System.Collections.Generic.List<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPRemoteUser> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetRemoteusers | ( |  | ) | `[inline]`

Set up remote users.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetSyscontact | ( |  | ) | `[inline]`

System contact string as presented in sysContact.0.

Up to 255 characters long.

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetSyslocation | ( |  | ) | `[inline]`

System location string as presented in sysLocation.0.

Up to 255 characters long.

global::System.Collections.Generic.List<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv1TrapTarget> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetTargets | ( |  | ) | `[inline]`

Set up to three targets to which to send SNMPv1 traps.

global::System.Collections.Generic.List<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPUser> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetUsers | ( |  | ) | `[inline]`

Set up to five local users.

global::System.Collections.Generic.List<vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Target> vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::GetV3targets | ( |  | ) | `[inline]`

Set up to three SNMPv3 notification targets.

Format is: ip-or-hostname[]/remote-user/security-level/trap|inform[,...].

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetAuthentication | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPAuthProto | authentication | ) | `[inline]`

Set the default authentication protocol.

Values can be none, MD5, or SHA1.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetCommunities | ( | global::System.Collections.Generic.List< string > | communities | ) | `[inline]`

Set up to ten communities, each of no more than 64 characters long.

The format is: community1[,community2,...]. This setting overwrites any previous settings.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetEnable | ( | bool | enable | ) | `[inline]`

Set enable to true/false.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetEngineid | ( | string | engineid | ) | `[inline]`

Set SNMPv3 engine ID.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetLoglevel | ( | string | loglevel | ) | `[inline]`

System Agent syslog logging level: debug|info|warning|error.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetNotraps | ( | global::System.Collections.Generic.List< string > | notraps | ) | `[inline]`

Comma-separated list of trap OIDs (object identifiers) for traps not to be sent by the agent.

Use 'reset' to clear the setting.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetPid | ( | string | pid | ) | `[inline]`

Set up pid.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetPort | ( | long | port | ) | `[inline]`

Set up a UDP port which the SNMP agent uses to listen on for polling requests.

The default UDP port is 161.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetPrivacy | ( | vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPPrivProto | privacy | ) | `[inline]`

Set the default privacy protocol.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetRemoteusers | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPRemoteUser > | remoteusers | ) | `[inline]`

Set up remote users.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetSyscontact | ( | string | syscontact | ) | `[inline]`

System contact string as presented in sysContact.0.

Up to 255 characters long.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetSyslocation | ( | string | syslocation | ) | `[inline]`

System location string as presented in sysLocation.0.

Up to 255 characters long.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetTargets | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv1TrapTarget > | targets | ) | `[inline]`

Set up to three targets to which to send SNMPv1 traps.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetUsers | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPUser > | users | ) | `[inline]`

Set up to five local users.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::SetV3targets | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.monitoring.SnmpTypes.SNMPv3Target > | v3targets | ) | `[inline]`

Set up to three SNMPv3 notification targets.

Format is: ip-or-hostname[]/remote-user/security-level/trap|inform[,...].

override string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPConfigReadOnly::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SnmpTypes.cs